Package org.pushingpixels.flamingo.api.common

# Enum Class HorizontalAlignment

java.lang.Object
java.lang.Enum<HorizontalAlignment>
org.pushingpixels.flamingo.api.common.HorizontalAlignment

All Implemented Interfaces:
  `Serializable`, `Comparable<HorizontalAlignment>`, `Constable`

public enum HorizontalAlignment extends Enum<HorizontalAlignment>
Enumerates the available values for horizontal alignment.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CENTER`
If the preferred width is less than the available width, the relevant component is horizontally centerd in its parent.
`FILL`
The component is placed to fill all available width from its parent.
`LEADING`
If the preferred width is less than the available width, the relevant component is placed at the leading position in its parent (left for LTR and right for RTL).
`TRAILING`
If the preferred width is less than the available width, the relevant component is placed at the trailing position in its parent (right for LTR and left for RTL).

## Method Summary

Modifier and Type
Method
Description
`static HorizontalAlignment`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HorizontalAlignment[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LEADING

public static final HorizontalAlignment LEADING
If the preferred width is less than the available width, the relevant component is placed at the leading position in its parent (left for LTR and right for RTL).

### CENTER

public static final HorizontalAlignment CENTER
If the preferred width is less than the available width, the relevant component is horizontally centerd in its parent.

### TRAILING

public static final HorizontalAlignment TRAILING
If the preferred width is less than the available width, the relevant component is placed at the trailing position in its parent (right for LTR and left for RTL).

### FILL

public static final HorizontalAlignment FILL
The component is placed to fill all available width from its parent.

## Method Details

### values

public static HorizontalAlignment[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HorizontalAlignment valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null